Name: news2mail
Version: 1.0
Release: 2
Source: http://alexsh.home.ml.org/news2mail-1.0.tar.gz
Source1: news2mail.logrotate
Patch0: news2mail-1.0.patch
Copyright: distributable
Group: Networking/News
BuildRoot: /tmp/news2mail-root
Summary: Usenet -> e-mail gate.

%description
news2mail is a Usenet -> e-mail gate. It allows you to forward
digested Usenet groups to e-mail addresses on a daily basis,
thus creating a very easy solution for reading Usenet offline.

%prep
%setup
%patch0 -p1

%build
make

%install
# create directories
mkdir -p $RPM_BUILD_ROOT{/usr/bin,/var/log,/etc/{news2mail,logrotate.d}}
# correct path to perl interpreter
for i in misc/*.pl ; do cp $i $i.old ; 
	cat $i.old | sed 's:/usr/local/bin/perl:/usr/bin/perl:' > $i ; done
# install files
install -s -m 0755 news2mail $RPM_BUILD_ROOT/usr/bin
install -m 0755 misc/*.pl misc/ecron $RPM_BUILD_ROOT/usr/bin
install -m 0644 config.txt $RPM_BUILD_ROOT/etc/news2mail/config.txt
touch $RPM_BUILD_ROOT/etc/news2mail/groups.txt
touch $RPM_BUILD_ROOT/var/log/news2mail.log
install -m 0644 $RPM_SOURCE_DIR/news2mail.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/news2mail

%clean
rm -r $RPM_BUILD_ROOT

%files
%doc README README.redhat misc/README.ecron
/usr/bin/news2mail
/usr/bin/ecron
/usr/bin/subs.pl
/usr/bin/unsubs.pl
/usr/bin/getmail.pl
%dir /etc/news2mail
%config /etc/news2mail/config.txt
%config /etc/news2mail/groups.txt
/var/log/news2mail.log
%config /etc/logrotate.d/news2mail
